<?php
defined( '_JEXEC' ) or die( 'Restricted access' ); 
/**
 * Display a TT-Live Table
 */
class modTTLiveTabellenHelper
{
	function getTables(&$params)
	{
		global $mainframe;
		Jimport('joomla.filesystem.file');
       /***
        *   Cache XML-File to reduce traffic
        *   IF XML is older than 1 hours -> renew (store XML in TMP folder)
        */
		if(!JFile::exists("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml") || mktime()-3600 > filemtime("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml")) 
		{
			$url = $params->get(url);
			$handle = fopen($url, "rb");
			$contents = '';
			while (!feof($handle)) 
			{
				$html .= fread($handle, 8192);
			}
			fclose($handle);
			JFile::write("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml", $html);    
		}
				
		/**
		 * XML aus lokalem tmp Folder laden
		 */
  		if($xml = simplexml_load_file("tmp". DS . $params->get(leagueID) . "-" . $params->get(teamID) . ".xml", NULL, ($params->get(debug)==1)?LIBXML_NOERROR:NULL)) 
		{
            // Ersetzungen aus Parameter in Array umwandeln
            if($params->get(teamalias)) 
			{
                $teams = explode(';' , $params->get(teamalias));
                foreach($teams as $team) 
				{
                    $tmpteam = explode(':' , $team);
                    $aliases[$tmpteam[0]] = $tmpteam[1];
                }
            }
            if($params->get(showleague)) 
			{
                $ladder = '<h4 style="text-align:center">' . $xml->Liga. '</h4>';
            }
			$ladder .= "<table style='text-align:center;width:100%;padding:0px;border-spacing:0pt;' class='" . $params->get(tableClassName) . "'>\n";
		    $ladder .= '<thead><tr><th>Platz</th><th style="text-align:left">Team</th>';
            if($params->get(showmatchecount)) 
			{
                $ladder .= '<th style="text-align:center">Anz</th>';
            }
            if($params->get(showmatches)) 
			{
                $ladder .= '<th style="text-align:center">S</th><th style="text-align:center">U</th><th style="text-align:center">N</th>';
            }
            if($params->get(showsets)) 
			{
                $ladder .= '<th style="text-align:center;">SatzDif</th>';
            }
            if($params->get(showgames)) 
			{
                $ladder .= '<th style="text-align:center">Spiele</th>';
            }
		    $ladder .=  '<th style="text-align:center">Punkte</th></tr></thead>';
            $zeile=0;
		    foreach($xml->Content->Tabelle->Mannschaft as $key => $attribute) 
			{
				$zeile++;
		        $teamname = (string) $attribute->Mannschaft;		        
		        if($params->get(teamalias)) 
				{
		            if(array_key_exists((string) $attribute->Mannschaft , $aliases))
					{
    	                $teamname = $aliases[(string) $attribute->Mannschaft];		                
		            }
	            } 
				else 
				{
	                $teamname = (string) $attribute->Mannschaft;
	            }
              if (($params->get(aufstiegsplatz)==0)&& ($params->get(abstiegsplatz)==0))
              {
                  $ladder .= "<tr class='even'";   
              }
              else
              {
                  if ($params->get(aufstiegsplatz)!=0)
                  {
                      if ($zeile <= $params->get(aufstiegsplatz))
                      {
                          $ladder .= "<tr class='odd'";  
                      }
                      else
                      {
                          if ($params->get(abstiegsplatz)!=0)
                          {
                              if ($zeile >= $params->get(abstiegsplatz))
                              {
                                 $ladder .= "<tr class='odd'";  
                              }   
                              else
                              {
                                  $ladder .= "<tr class='even'"; 
                              }                      
                          }
                          else
                          {
                              $ladder .= "<tr class='even'"; 
                          }                          
                      }
                  }
                  else
                  {
                      $ladder .= "<tr class='even'"; 
                  }
              }
                if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
			    {
                      $ladder .= "><td style='width:17px;text-align:center;'><b>".$attribute->Platz."</b></td><td style='text-align:left;'><b>". $teamname ."</b></td>";
                } 
				else 
				{
	                $ladder .= "><td style='width:17px;text-align:center;'>".$attribute->Platz ."</td><td style='width:150px;text-align:left;'>". $teamname ."</td>";
                }
                if($params->get(showmatchecount) ) 
				{
                    if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
					{
                      $ladder .= '<td style="width:30px;text-align:center;"><b>'.  $attribute->Spiele .'</b></td>';
                    }
                    else 
					{
                      $ladder .= '<td style="width:30px;text-align:center;">'.  $attribute->Spiele .'</td>';
                    }
                }		    
                if($params->get(showmatches)) 
				{
                    if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
					{
                      $ladder .= '<td style="width:25px;text-align:center;"><b>'.  $attribute->Siege .'</b></td><td style="width:25px;text-align:center;"><b>'.  $attribute->Unentschieden .'</b></td><td style="width:25px;text-align:center;"><b>'.  $attribute->Niederlagen .'</b></td>';
                    }
                    else 
					{
                      $ladder .= '<td style="width:25px;text-align:center;">'.  $attribute->Siege .'</td><td style="width:25px;text-align:center;">'.  $attribute->Unentschieden .'</td><td style="width:25px;text-align:center;">'.  $attribute->Niederlagen .'</td>';
                    }
                }		    
                if($params->get(showsets)) 
				{
                    if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
					{
                      $ladder .= '<td style="width:50px;text-align:center;"><b>' .  $attribute->SaetzeDif . '</b></td>';
                    }
                    else 
					{
                      $ladder .= '<td style="width:50px;text-align:center;">' .  $attribute->SaetzeDif . '</td>';
                    }
                }
                if($params->get(showgames) ) 
				{
                    if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
					{
                      $ladder .= '<td style="width:50px;text-align:center;"><b>' .  $attribute->SpielePlus . ":" .$attribute->SpieleMinus . '</b></td>';
                    }
                    else 
					{  
                      $ladder .= '<td style="width:50px;text-align:center;">' .  $attribute->SpielePlus . ":" .$attribute->SpieleMinus . '</td>';                    }
					}
					if (strstr($attribute->Mannschaft, $params->get(ownTeam))) 
					{
						$ladder .=  "<td style='width:45px;text-align:center;'><b>".$attribute->PunktePlus . ":" .$attribute->PunkteMinus . "</b></td></tr>\n";
					}
					else 
					{
						$ladder .=  "<td style='width:45px;text-align:center;'>".$attribute->PunktePlus . ":" .$attribute->PunkteMinus . "</td></tr>\n";
					}
				}       
		        $ladder .=  "</table>\n<br/>\n";
		        echo $ladder;
			} 
			else 
			{
				echo 'Konnte TT-Live-XML nicht laden';
			}
	}
}
?>
